form.search-input {

    height: 42px;

    svg.search-input__icon {
        position: absolute;
        pointer-events: none;
        transform: rotateY(180deg);
        transition: all 0.3s ease-in-out;
        @include themify($themes) {
            stroke: themed('backgroundThick');
        }
        stroke-width: 1.2;
        fill: none;
    }

    input.search-input__inner {
        outline: none;
        border: none;
        padding: 9px 10px 9px 45px;
        width: 100%;
        border-radius: 10px !important;
        -webkit-border-radius: 10px !important;
        transition: all 0.3s ease-in-out;
        box-shadow: none;
        height: 40px;
        cursor: pointer;
        transition: all 0.3s ease-in-out;
        @include FS(S);
        @include FM(L);
        @include themify($themes) {
            background-color: themed('border');
            color: themed('string');
        }
        &::placeholder {
            @include themify($themes) {
                color: themed('border');
            }
        }
        &:hover {
        }
        &:focus {
            padding-left: 2.5rem;
            @include themify($themes) {
                // color: $color-black;
                box-shadow: 0 0 4px themed('background');
                // color: themed('textColorPrimary');
            }
            cursor: auto;
            &::placeholder {
                @include themify($themes) {
                    color: themed('string');
                }
            }
        }

        &:focus + svg.search-input__icon {
            @include themify($themes) {
                stroke: themed('border');
            }
        }
    }

    /* small */
    input.search-input__inner.search-input__inner--small {

    }
}
